<section class="profil annonce">

    <div ng-show="existe" class="container">

      <div class="row">
        <h1 class="col-md-offset-1 col-md-9 col-lg-offset-2 col-lg-10">{{ lieuDeTravail.titre || 'Information manquante' }}</h1>
      </div>
      <div class="row">
        <p class="col-md-offset-1 col-md-9 col-lg-offset-2 col-lg-10 glyphicon glyphicon-home"> Type : {{ lieuDeTravail.typeStructure }}</p>
      </div>
      <br>
      <div class="row">
        <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
          <h3>Description :</h3>
          <p id="description">{{ lieuDeTravail.description || 'Information manquante' }}</p>
        </div>
      </div>
      <div class="row">
        <div id="photosAnnonce" class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
          <div ng-repeat="i in [9,8,7,6,5,4,3,2,1,0] track by $index">
            <img ng-src="/img/imageAnnonce/{{lieuDeTravail.CompteLier || 'none'}}_{{$index+1}}.jpg" on-error-src="/img/imageAnnonce/0.jpg">
          </div>
        </div>
      </div>
      
      <div class="row">
          <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
            <h3>Localisation :</h3>
            <p class="glyphicon "><span class="infos">Ville : </span class="infos">{{ lieuDeTravail.ville || 'Information manquante' }}</p><br>
            <p class="glyphicon "><span class="infos">Adresse : </span class="infos">{{ lieuDeTravail.adresse || 'Information manquante' }}</p><br>
            <p class="glyphicon "><span class="infos">Code Postal : </span>{{ lieuDeTravail.codePostal || 'Information manquante' }}</p><br>
          </div>
      </div>

      <div class="row">
          <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
            <div map-lazy-load="https://maps.google.com/maps/api/js" map-lazy-load-params="{{googleMapsUrl}}">
              <ng-map center="47, 3" zoom="6" style="height: 100%;">
                <marker position="{{localisation.latitude}}, {{localisation.longitude}}" optimized="false"></marker>
              </ng-map>
            </div>
          </div>
      </div>

      <div class="row">
          <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
          <br><br>
            <div class="span8 calendar" ng-model="eventSources" calendar="myCalendar" ui-calendar="uiConfig.calendar"></div>
          </div>
      </div>

      <div class="row">
          <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
            <h3>Particularitées :</h3>
            <p class="glyphicon"><span class="infos">Est informatisé : </span>{{ lieuDeTravail.informatise && 'oui' || !lieuDeTravail.informatise && 'non' || 'Information manquante' }}</p><br>
            <p class="glyphicon"><span class="infos">Il y a un secretariat : </span>{{ lieuDeTravail.secretariat && 'oui' || !lieuDeTravail.secretariat && 'non' || 'Information manquante' }}</p><br>
            <p class="glyphicon"><span class="infos">Un logement est proposé : </span>{{ lieuDeTravail.logement && 'oui' || !lieuDeTravail.logement && 'non' || 'Information manquante' }}</p><br>
            <p></p>
          </div>
      </div>

      <div class="row">
          <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
            <a href="/profil?idCompte={{lieuDeTravail.idCompte}}"><button ng-show="!lieuDeTravailExiste" class="btn btn-primary" ng-click="createLieu()">Contacter l'installé</button></a>
            <br><br><br>
          </div>
      </div>


      <div class="row">
        <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
          <h3>Commentaires sur ce lieu de travail :</h3>
        </div>
      </div>

      <div class="row">
        <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">
          <table class="table listeCom">
            <thead>
              <tr>
                <th>Profil</th>
                <th>Avis</th>
              </tr>
            </thead>
            <tbody>
              <tr ng-repeat="p in commentaires">
                  <th>
                    <div id="ImageDeProfil" class="col-sm-4 col-md-2">
                      <div class="conteneurImageDeProfil">
                        <a href="/profil?idCompte={{p.idCompte}}"><img class="imgProfil" ng-src="/img/imageDeProfil/{{p.idCompte}}.jpg" on-error-src="/img/imageDeProfil/idCompte.png"></a>
                      </div>
                    </div>
                  </th>
                  <th>{{p.message}}</th>
              </tr>
            </tbody>
          </table>
        </div>
      </div>

      <div class="row" ng-show="commentaireAuthoriser">
          <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6">  
            <form name="form" class="avi form-group" ng-submit="validation()">
              <input class="form-control" type="message" name="message" ng-model="formData.text" placeholder="Votre message" required ng-required="true" ng-minlength="1" ng-maxlength="80"></input> Note : <select placeholder="Note /5" name="note" ng-model="formData.note" required ng-required="true" ng-options="t as t.note for t in listNote" class="form-control">
            </select>
            <br>
            <br>
              <p class="alert alert-danger" ng-show="!form.message.$pristine && (form.message.$invalid || form.note.$invalid)">Veuillez indiquer votre commentaire et votre note.</p>
              <p class="alert alert-danger" ng-show="dejaCommenter">Vous avez déjà commenté ce lieu de travail.</p>
              <button class="btn btn-success" type="submit">Valider</button>
            </form>

            <b class="alert alert-danger" ng-show="erreurFormulaire()" ng-bind="erreurFormulaire()"/>
          </div>
      </div>
      <div class="row" ng-show="!commentaireAuthoriser">
        <div class="col-sm-offset-1 col-sm-9 col-md-offset-2 col-md-7 col-lg-offset-3 col-lg-6"> 
          Vous devez être connecté et être un remplaçant pour pouvoir commenter ce lieu de travail.
        </div>
      </div>
    </div>

    <div ng-show="!existe">
      <h2 style="text-align:center">L'annonce recherché est inexistant.</h1>
    </div>
    
</section>